<template lang="pug">
div
  v-layout(wrap align-center)
    v-flex(xs12 sm12 md12)
      p.b-content__title-section Выберите тип отчета:

  v-layout(wrap align-center)
    v-flex(sm12 md12 d-flex)
      v-select(
        v-model="reportName"
        :items="reports"
        item-text="name"
        item-value="type"
        label="Тип отчета"
        :menu-props="menuProps"
        outline
      )
</template>

<script>
export default {
  name: 'SelectReport',
  data() {
    return {
      menuProps: {
        absolute: false,
      },
      // 'tpStatsViews': tpStatsViews,
      // 'companyStats': companyStats,
      // 'medicsFull': medicsFull,
      // 'viewsDeviations': viewsDeviations,
      // 'avgMedReaction': avgMedReaction,
      // 'rejects': rejects,
      // 'medicsSmall': medicsSmall,
      // 'viewsPerHour': viewsPerHour,
      reports: [
        {
          type: 'tpStatsViews',
          name: 'Статистика осмотров (для ТП)',
        },
        {
          type: 'companyStats',
          name: 'Отчет по компаниям',
        },
        {
          type: 'medicsFull',
          name: 'Отчет по медикам детализированный',
        },
        {
          type: 'viewsDeviations',
          name: 'Осмотры с отклонениями',
        },
        {
          type: 'avgMedReaction',
          name: 'Среднее время реакции медработника',
        },
        {
          type: 'rejects',
          name: 'Количество недопусков',
        },
        {
          type: 'medicsSmall',
          name: 'Отчет по медикам (краткий)',
        },
        {
          type: 'viewsPerHour',
          name: 'Осмотры по часам',
        },
      ],
    };
  },
  computed: {
    reportName: {
      get() {
        return this.$store.getters.getReportName;
      },
      set(value) {
        this.$store.commit('setReportName', value);
      },
    },
  },
  watch: {
    reportName(form) {
      if (form) {
        this.$router.push({
          name: form,
        });
      }

      this.$store.dispatch('resetTimeId');
    },
  },
};
</script>
